<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/app_setting.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();
$obj = new AppSetting($db);
$stmt = $obj->getAppSetting();

include_once '../constant/secure_token.php';

if ($stmt->rowCount() > 0) {
    $status = "true";
    $code = "7001";
    $dataRow = $stmt->fetchAll(PDO::FETCH_ASSOC);
    $data = $dataRow;
} else {
    $status = "true";
    $data = [];
    $code = "7002";
}

echo json_encode(array("data" => $data, "status" => $status, "code" => $code));