<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
$status = "false";
$data = "Invalid API Call";
$code = "0";
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->mobile, "mobile") &&
    apiValidateString($apiData->password, "password")
) {
    $item->mobile = $apiData->mobile;
    $item->password = md5($apiData->password);
    if ($item->userAlreadyExist()) {
        if ($loginSTMT = $item->updatePassword()) {
            $status = "true";
            $data = "Password Changed Successfully!";
            $code = "3011";
        } else {
            $status = "false";
            $data = "Password Could Not Be Changed";
            $code = "3010";
        }
    } else {
        $status = "false";
        $data = "Invalid User";
        $code = "3001";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
}
