<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
$status = "false";
$data = "Invalid API Call";
$code = "0";
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->mobile, "mobile") &&
    apiValidateString($apiData->password, "password")
) {
    $item->mobile = $apiData->mobile;
    $item->password = md5($apiData->password);
    if ($item->userAlreadyExist()) {
        if ($loginSTMT = $item->userPasswordCheck()) {
            if ($loginSTMT->rowCount() > 0) {
                $dataRow = $loginSTMT->fetch(PDO::FETCH_ASSOC);
                if ($dataRow['isBlocked'] == "1") {
                    $status = "true";
                    $data = "Invalid User (Blocked)";
                    $code = "2006";
                } else {
                    $status = "true";
                    $code = "2003";
                    $item->id = $dataRow['id'];
                    $item->name = $dataRow['name'];
                    $item->email = $dataRow['email'];
                    $item->mobile = $dataRow['mobile'];
                    $item->createdOn = $dataRow['createdOn'];
                    $item->lastLogin = $dataRow['lastLogin'];
                    $item->isBlocked = $dataRow['isBlocked'];
                    // $item->updateLastLogin();
                    $data = $dataRow;
                }
            } else {
                $status = "false";
                $data = "Invalid Password";
                $code = "2002";
            }
        } else {
            $status = "false";
            $data = "Invalid Password";
            $code = "2002";
        }
    } else {
        $status = "false";
        $data = "Invalid User";
        $code = "2001";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
}
