<?php
include_once '../../config/database.php';
require('config.php');
require('razorpay-php/Razorpay.php');
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

// error_reporting(0);
use Razorpay\Api\Api;
// Create the Razorpay Order  use 
$api = new Api($keyId, $keySecret);
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->txnId, "txnId") &&
    apiValidateString($apiData->amount, "amount")
) {
    $txnId = htmlentities($apiData->txnId);
    $amount = htmlentities($apiData->amount);
    $txnId = stripslashes($txnId);
    $amount = stripslashes($amount);

    $orderData = [
        'receipt' => $txnId,
        'amount' => $amount,
        'currency' => 'INR',
        'payment_capture' => 1
    ];
    try {
        $razorpayOrder = $api->order->create($orderData);
        $razorpayOrderld = $razorpayOrder['id'];

        $status = "true";
        $data = $razorpayOrderld;
        $code = "3005";
    } catch (Exception $e) {
        // print_r($e);
        $status = "false";
        $data = "failed";
        $code = "3005";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
