<?php
error_reporting(0);
class AppSliders
{
    // Connection
    private $conn;
    // Table
    private $db_table = "app_sliders";
    // Columns
    public $id;
    public $url;
    public $orderNo;
    public $expiryOn;
    public $createdOn;

    // Db connection
    public function __construct($db)
    {
        $this->conn = $db;
    }

    public function getAppSliders()
    {
        $cur_date = date_create();
        $cur_date = strval(date_format($cur_date, 'Y-m-d'));
        $sqlQuery = "SELECT
                        *
                      FROM
                        " . $this->db_table . "
                    WHERE expiryOn is null OR DATE(expiryOn) >= :cur_date ORDER BY orderNo";
        $stmt = $this->conn->prepare($sqlQuery);
        //bind data
        $stmt->bindParam(":cur_date", $cur_date);
        $stmt->execute();
        return $stmt;
    }
}
