<?php
error_reporting(0);
class MarketResult
{
    // Connection
    private $conn;
    // Table
    private $db_table = "matka_market_result";
    // Columns
    public $id;
    public $marketId;
    public $openDigit;
    public $jodiDigit;
    public $closeDigit;
    public $isReverted;
    public $createdOn;
    // Db connection
    public function __construct($db)
    {
        $this->conn = $db;
    }
    public function getMarketResultHistory()
    {
        //////////////////////////////////////////////////////////////////////////////
        $from_date = date_create($this->createdOn);
        $to_date = date_create($this->createdOn);
        date_add($to_date, date_interval_create_from_date_string('1 days'));
        date_time_set($from_date, 7, 00, 00);
        date_time_set($to_date, 6, 59, 59);
        $from_date = strval(date_format($from_date, 'Y-m-d H:i:s'));
        $to_date = strval(date_format($to_date, 'Y-m-d H:i:s'));
        ///////////////////////////////////////////////////////////////////////////////
        $sqlQuery = "SELECT result.*, market.market_name, market.open_time, market.close_time, market.schedule  FROM
                        " . $this->db_table . " as result, matka_market as market
                    WHERE result.marketId = market.id AND
                        (result.createdOn BETWEEN '$from_date' AND '$to_date') ORDER BY market.id";
        $stmt = $this->conn->prepare($sqlQuery);
        return $stmt;
    }
}
