<?php
error_reporting(0);
require('textlocal.class.php');
class OTP
{
    // Connection
    private $conn;
    // Table
    private $db_table = "otp_sent";
    // Columns
    public $id;
    public $otp;
    public $mobile;
    public $message;
    public $reason;
    public $createdOn;

    private $smsApiKey = "NTI0YjQyNTE2YTQ3NzM0Njc2MzM3YTM0NjE1MjVhNjU=";
    // Db connection
    public function __construct($db)
    {
        $this->conn = $db;
    }

    public function sendOtp2()
    {
        // Account details
        $apiKey = urlencode($this->smsApiKey);

        // Message details
        $numbers = array($this->mobile);
        $sender = urlencode('MKGAME');
        $message = rawurlencode($this->message);

        $numbers = implode(',', $numbers);

        // Prepare data for POST request
        $data = array('apikey' => $apiKey, 'numbers' => $numbers, "sender" => $sender, "message" => $message);

        // Send the POST request with cURL
        $ch = curl_init('https://api.textlocal.in/send/');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($ch);
        curl_close($ch);

        // Process your response here
        // echo $response;
        return true;
    }

    public function saveOtpDetail()
    {
        $sqlQuery = "INSERT INTO " . $this->db_table . " SET mobile = :mobile, reason = :reason";

        $stmt = $this->conn->prepare($sqlQuery);
        // sanitize
        $this->mobile = htmlspecialchars(strip_tags($this->mobile));
        $this->reason = htmlspecialchars(strip_tags($this->reason));
        // bind data
        $stmt->bindParam(":mobile", $this->mobile);
        $stmt->bindParam(":reason", $this->reason);

        if ($stmt->execute()) {
            return true;
        }
        return false;
    }
}
