<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/app_update.php';

$database = new Database();
$db = $database->getConnection();
$obj = new AppUpdates($db);
$stmt = $obj->getAppUpdates();
if ($stmt->rowCount() > 0) {
    $dataRow = $stmt->fetchAll(PDO::FETCH_ASSOC);
    $apk_json = array(
        "versionCode" => intval($dataRow[0]["versionCode"]),
        "versionName" => $dataRow[0]["versionName"],
        "contentText" => $dataRow[0]["contentText"],
        "minSupport" => intval($dataRow[0]["minSupport"]),
        "url" => "http://" . $_SERVER['SERVER_NAME'] . "/InstantBetsApi/" . $dataRow[0]["url"]
        // "url" => $dataRow[0]["url"]
    );
} else {
    $apk_json = array();
}
echo json_encode($apk_json);
