<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/notification.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();
$obj = new Notifications($db);
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (apiValidateString($apiData->last_entry_id, "last_entry_id")) {
    $obj->lastEntryId = $apiData->last_entry_id;
    $stmt = $obj->getWeeklyNotification();
    if ($stmt->rowCount() > 0) {
        $status = "true";
        $code = "7101";
        $dataRow = $stmt->fetchAll(PDO::FETCH_ASSOC);
        $data = $dataRow;
    } else {
        $status = "true";
        $data = [];
        $code = "7102";
    }

    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
