<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include_once '../../config/database.php';
include_once '../../class/starline_games.php';
$database = new Database();
$db = $database->getConnection();
include_once '../constant/secure_token.php';
$obj = new StarlineGames($db);
$stmt = $obj->getStarlineGames();
try {
    if ($stmt->execute()) {
        if ($stmt->rowCount() > 0) {
            $dataRow = $stmt->fetchAll(PDO::FETCH_ASSOC);
            $status = "true";
            $data = $dataRow;
            $code = "6007";
        } else {
            $status = "true";
            $data = [];
            $code = "6007";
        }
    } else {
        $status = "false";
        $data = "Could not read Starline Games";
        $code = "6008";
    }
} catch (Exception $e) {
    $status = "false";
    $data = "Could not read Starline Games";
    $code = "6008";
}
echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
