<?php
error_reporting(0);
class StarlineMarket
{
    // Connection
    private $conn;
    // Table
    private $db_table = "starline_market";
    // Columns
    public $id;
    public $time;
    public $dayandnight;
    public $status;
    public $is_deleted;
    public $schedule;
    public $created_by;
    public $created_on;
    public $last_updated;
    // Db connection
    public function __construct($db)
    {
        $this->conn = $db;
    }

    // GET ALL
    public function getAllStarlineMarket($dayandnight)
    {
        if ($dayandnight == "day") {
            $sqlQuery = "SELECT * FROM " . $this->db_table . " WHERE is_deleted = 0 AND status = 1 AND dayandnight = '$dayandnight' ORDER BY id";
            // $sqlQuery = "SELECT * FROM " . $this->db_table . " WHERE is_deleted = 0 AND status = 1 AND dayandnight = '$dayandnight' ORDER BY STR_TO_DATE(`time`, '%l:%i %p')";
        } else if ($dayandnight == "night") {
            $sqlQuery = "SELECT * FROM " . $this->db_table . " WHERE is_deleted = 0 AND status = 1 AND dayandnight = '$dayandnight' ORDER BY id";
        } else {
            $sqlQuery = "SELECT * FROM " . $this->db_table . " WHERE is_deleted = 0 AND status = 1 ORDER BY STR_TO_DATE(`time`, '%l:%i %p')";
        }

        $stmt = $this->conn->prepare($sqlQuery);
        $stmt->execute();
        return $stmt;
    }

    //Get Particular Market Result
    public function getStarlineResult($starlineId, $from_date, $to_date)
    {
        $cur_date = date_create();
        $cur_date = strval(date_format($cur_date, 'Y-m-d'));
        $resultArr = null;
        $starline_result_query = "SELECT * FROM starline_result WHERE starlineId = '$starlineId' AND (createdOn BETWEEN '$from_date' AND '$to_date')";
        $stmt = $this->conn->prepare($starline_result_query);
        $stmt->execute();
        $assoc_arr = $stmt->fetch(PDO::FETCH_ASSOC);
        if ($stmt->rowCount() > 0) {
            $resultArr = [
                "starlineId" => $assoc_arr["starlineId"],
                "panaDigit" => $assoc_arr["panaDigit"],
                "singleDigit" => $assoc_arr["singleDigit"],
                "createdOn" => $assoc_arr["createdOn"]
            ];
        }
        return $resultArr;
    }
}
