<?php
    error_reporting(0);
    class SecureToken{
        // Connection
        private $conn;
        // Table
        private $db_table = "api_token";
        // Columns
        public $id;
        public $token;
        public $status;
        public $createdOn;
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }
        // Token Check
        public function checkToken(){
            $sqlQuery = "SELECT * FROM
                        ". $this->db_table ."
                    WHERE 
                       token = ? AND status = 1";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->bindParam(1, $this->token);
            $stmt->execute();
            if($stmt->rowCount() > 0){
                return true;
            }
            return false;
        }

    }
?>

